#
# x86sse2-linux.mak
#
# Target specific makefile
#

# Check for compiler to use. Note that if COMP is set, this will override
# any setting for CC or CXX.
ifeq ($(COMP),icc)

# Extend the PATH so that desired version of icc and ifort are found.
INTEL_PATH             := /opt/intel/composer_xe_2011_sp1.8.273
GCC_PATH               := /soft/dist/gcc-4.2
INTEL_PLATFORM         := ia32
PATH                   := $(INTEL_PATH)/bin/$(INTEL_PLATFORM):$(PATH)
CC                     := icc
CXX                    := icpc
LD                     := icc
LXX                    := icpc

TARGET_CFLAGS          := -gcc-version=420 -gcc-name=$(GCC_PATH)/bin/gcc
TARGET_CXXFLAGS        := -gcc-version=420 -gxx-name=$(GCC_PATH)/bin/g++ \
                          -cxxlibs
TARGET_LDFLAGS         := -static-intel -no-cxxlib
TARGET_LXXFLAGS        := -static-intel

endif

TARGET_ARCHFLAGS       := -m32 -mmmx -msse2
TARGET_OPTFLAGS        := -O3
TARGET_CFLAGS          += $(TARGET_ARCHFLAGS)
TARGET_CXXFLAGS        += $(TARGET_ARCHFLAGS)
TARGET_LDFLAGS         += -m32
TARGET_LXXFLAGS        += -m32
